#ifndef MSGCLIENT_HH
#define MSGCLIENT_HH

#include<iostream>
#include<sstream>

#include <iclient.hh>
#include <message.hh>
#include <msgConstants.hh>

class msgClient {

	private:
		iclient client;
		
	public:
		msgClient();
		~msgClient();
		bool connect(const std::string& name, const std::string& server, unsigned int port);
		void disconnect();
		bool isConnected() const;
		bool isMessageWaiting() const;
		bool sendMessage(const std::string& dest, const std::string& content) const;
		bool sendBroadcastMessage(const std::string& content) const;
		std::pair<std::string, std::string> getMessage() const;
		std::pair<std::string, std::string> getBlockingMessage() const;
		std::pair<std::string, std::string> getMessageTimeout(unsigned long ms) const;
		
};

#endif
